FROM docker-registry.wikimedia.org/python3-build-stretch

USER "root"
ENV HOME="/root"
RUN {{ "git build-essential python3-zmq mysql-client default-libmysqlclient-dev libyaml-dev python3-jsonschema python3-confluent-kafka" | apt_install }}

RUN groupadd -o -g "65533" -r "somebody" && useradd -o -m -d "/home/somebody" -r -g "somebody" -u "65533" "somebody" && mkdir -p "/srv/service" && chown "65533":"65533" "/srv/service"
RUN groupadd -o -g "900" -r "runuser" && useradd -o -m -d "/home/runuser" -r -g "runuser" -u "900" "runuser"
USER "somebody"
ENV HOME="/home/somebody"
WORKDIR "/srv/service"

EXPOSE 8100

RUN git clone --depth 1 https://gerrit.wikimedia.org/r/eventlogging /srv/service
RUN python3 setup.py install --user
ENTRYPOINT ["python3", "bin/eventlogging-devserver", "--host", "0.0.0.0"]
